wxWidgets: wxDataObjectSimple Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxDataObjectSimple Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/dataobj.h>`

Inheritance diagram for wxDataObjectSimple:
[legend]

## Detailed Description

This is the simplest possible implementation of the wxDataObject class.

The data object of (a class derived from) this class only supports one format, so the number of virtual functions to be implemented is reduced.

Notice that this is still an abstract base class and cannot be used directly, it must be derived. The objects supporting rendering the data must override GetDataSize() and GetDataHere() while the objects which may be set must override SetData(). Of course, the objects supporting both operations must override all three methods.

wxPerl Note: In wxPerl, you need to derive your data object class from Wx::PlDataObjectSimple.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  Drag and Drop Overview, Drag & Drop Sample, wxFileDataObject, wxTextDataObject, wxBitmapDataObject

## Public Member Functions
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat(). More...
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success. More...
virtual size_t | GetDataSize () const
| Gets the size of our data. More...
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object. More...
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success. More...
void | SetFormat (const wxDataFormat &format)
| Sets the supported format. More...
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor. More...
virtual | ~wxDataObject ()
| Destructor. More...
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats. More...
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf. More...
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format. More...
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data. More...
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it. More...
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf. More...
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported. More...

## Additional Inherited Members
Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxDataObjectSimple()

wxDataObjectSimple::wxDataObjectSimple | ( | const wxDataFormat & | format = `wxFormatInvalid` | ) |

Constructor accepts the supported format (none by default) which may also be set later with SetFormat().

## Member Function Documentation

## ◆ GetDataHere()

virtual bool wxDataObjectSimple::GetDataHere | ( | void * | buf | ) | const
| virtual

Copy the data to the buffer, return true on success.

Must be implemented in the derived class if the object supports rendering its data.

Reimplemented in wxRichTextBufferDataObject.

## ◆ GetDataSize()

virtual size_t wxDataObjectSimple::GetDataSize | ( |  | ) | const
| virtual

Gets the size of our data.

Must be implemented in the derived class if the object supports rendering its data.

Reimplemented in wxRichTextBufferDataObject.

## ◆ GetFormat()

const wxDataFormat& wxDataObjectSimple::GetFormat | ( |  | ) | const

Returns the (one and only one) format supported by this object.

It is assumed that the format is supported in both directions.

## ◆ SetData()

virtual bool wxDataObjectSimple::SetData | ( | size_t | len,
|  | const void * | buf
| ) |  |
| virtual

Copy the data from the buffer, return true on success.

Must be implemented in the derived class if the object supports setting its data.

Reimplemented in wxCustomDataObject, and wxRichTextBufferDataObject.

## ◆ SetFormat()

void wxDataObjectSimple::SetFormat | ( | const wxDataFormat & | format | ) |

Sets the supported format.